Package com.smartgwt.client.types

# Enum TabTitleEditEvent

java.lang.Object
java.lang.Enum<TabTitleEditEvent>
com.smartgwt.client.types.TabTitleEditEvent

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<TabTitleEditEvent>`, `Constable`

public enum TabTitleEditEvent extends Enum<TabTitleEditEvent> implements ValueEnum
An event that triggers title editing in a TabSet.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLICK`
  Start editing when the user single-clicks a tab title
  `DOUBLECLICK`
  Start editing when the user double-clicks a tab title

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static TabTitleEditEvent`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TabTitleEditEvent[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLICK

    public static final TabTitleEditEvent CLICK
    Start editing when the user single-clicks a tab title

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "click".

  - ### DOUBLECLICK

    public static final TabTitleEditEvent DOUBLECLICK
    Start editing when the user double-clicks a tab title

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "doubleClick".

- ## Method Details

  - ### values

    public static TabTitleEditEvent[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TabTitleEditEvent valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`